#
# spec file for package libgnome (Version 2.12.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-toys docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-mime-data gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent jadetex klogd latex-ucs less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg libnscd libpng libpng-devel libstdc++ libtool libusb libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip update-desktop-files util-linux vim xmlcharent xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libgnome
BuildRequires:  docbook-toys esound-devel gnome-common gnome-mime-data gnome-vfs2-devel gnutls-devel gtk2-devel gtkdoc intltool libxslt-devel mDNSResponder-devel perl-XML-Parser update-desktop-files xmlcharent
%define prefix	/opt/gnome
%define sysconfdir /etc/%{prefix} 
License:        GPL, LGPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        2.12.0.1
Release:        26.6
Summary:        The GNOME 2.x Desktop Base Libraries
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         libgnome-%{version}.tar.bz2
PreReq:         filesystem gconf2
Patch:          pixmaps.dif
Patch2:         libgnome-default-handlers.patch
Patch3:         libgnome_preconf.dif
Patch4:         libgnome-2.6-sounds-default.diff
Patch6:         libgnome-uninitialized-vars.patch
Patch7:         libgnome-sentinel.patch
Patch8:         libgnome-valist.diff

%description
This package contains the basic libraries for the GNOME 2.x Desktop
platform. GNOME has no specific window manager. You are totally free in
your choice. Many GNOME users like Sawfish, Enlightenment, or IceWM as
a window manager for GNOME (see those packages).



%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} gconf2-devel orbit2-devel glib2-devel libbonobo-devel gnome-vfs2-devel popt-devel esound-devel audiofile-devel glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This package contains the basic libraries for the GNOME 2.x platform.
GNOME itself contains no specific window manager thus you are totally
free in your choice of one. Many GNOME users like Sawfish,
Enlightenment, or IceWM as window manager for GNOME (see those
packages).



%prep
%setup -q 
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch6
%patch7 -p1
%patch8

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
autoreconf -if
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing "  \
  ./configure --prefix=%prefix \
	--libexecdir=%prefix/%_lib/libgnome-2 \
	--libdir=%prefix/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir} \
        --localstatedir=/var \
        --enable-gtk-doc
make  

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1   
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL  
%find_lang %{name}-2.0
rm $RPM_BUILD_ROOT%{prefix}/%_lib/bonobo/monikers/*.*a

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_accessibility_startup.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_thumbnailers.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_applications_browser.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_applications_help_viewer.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_applications_terminal.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_applications_window_manager.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_background.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_file_views.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_interface.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_lockdown.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_peripherals_mouse.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_sound.schemas >/dev/null 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_typing_break.schemas >/dev/null

%postun
%run_ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{prefix}/bin/*
%{sysconfdir}/sound/events/*.soundlist
%config %{sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_applications_help_viewer.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%config %{sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas
%{prefix}/%_lib/*.*so.*
%{prefix}/%_lib/bonobo/monikers/*.so
%{prefix}/%_lib/bonobo/servers/*

%files devel
%defattr(-, root, root)
%{prefix}/include/libgnome-2.0
%{prefix}/%_lib/pkgconfig/libgnome-2.0.pc
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
#%{prefix}/%_lib/bonobo/monikers/*.*a

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/libgnome
/usr/share/man/man7/gnome-options.7.gz

%changelog -n libgnome
* Sat Jun 10 2006 - sreeves@suse.de
- Fix for 165711 - new "siren" sound
* Wed May 31 2006 - jpr@suse.de
- Make the wallpaper for nld9 upgrades the correct file (#177859)
* Sun Mar 05 2006 - dobey@suse.de
- Switch default theme to Gilouche
* Thu Feb 23 2006 - mfabian@suse.de
- Bugzilla #54176: remove libgnome-default-monospace-font.diff,
  the upstream default "monospace" guarantees an acceptable
  result for the language set in the locale environment.
  Using "Bitstream Vera Sans Mono" as the default monospace font
  cause problems for example for Greek because the fallback
  glyphs used for Greek don't look nice together with
  "Bitstream Vera Sans Mono".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - dobey@suse.de
- Default to new Chlorophyll theme
* Tue Jan 10 2006 - ro@suse.de
- create empty va_list instead of using NULL (not portable)
* Thu Nov 24 2005 - meissner@suse.de
- mark gnome_program_init() with sentinel.
* Tue Sep 13 2005 - sbrabec@suse.cz
- Require libgnome by libgnome-devel (#116768).
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.1.
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Fri Sep 02 2005 - jpr@suse.de
- Update patch so we have sounds by default (114726)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.3
* Sat Aug 13 2005 - aj@suse.de
- Fix last patch to build on all archs.
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.2
- Fix use of uninitialized variable
* Thu Aug 04 2005 - gekker@suse.de
- Fix default sound patch to still work after autoreconf (74355).
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 2.11.1
* Fri Jun 24 2005 - sbrabec@suse.cz
- Fixed devel requirements (#8283).
- Removed unneeded static modules and .la files for modules.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Mon Apr 04 2005 - sbrabec@suse.cz
- Fixed incomplete array element type.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Mar 07 2005 - clahey@suse.de
- Apply all settings to both schemas and schemas.in.
* Fri Mar 04 2005 - gekker@suse.de
- Add libgnome-default-monospace-font.diff (54176).
* Wed Mar 02 2005 - gekker@suse.de
- update to 2.9.2
* Mon Feb 07 2005 - ro@suse.de
- added mDNSResponder to neededforbuild
* Thu Jan 27 2005 - hhetter@suse.de
- updated to version 2.9.1
- force gtk-doc generation
* Mon Nov 22 2004 - gekker@suse.de
- Update to version 2.8.0
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Use gnutls instead of openssl (#44438).
* Tue Sep 07 2004 - shprasad@suse.de
- Fixes bug #64555 (Fix given by sdharmaveer@novell.com)
  Makes GNOME login/logout sounds play by default.
* Mon Aug 23 2004 - joeshaw@suse.de
- Set new background image.  (Ximian #62887)
* Wed Jul 14 2004 - clahey@suse.de
- Set new background image.
* Wed Jun 02 2004 - clahey@suse.de
- Switched to industrial theme and icon theme.  Set background image.
* Mon Apr 26 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Wed Mar 10 2004 - hhetter@suse.de
- default gtk theme to Industrial
- default Icon Theme to Gnome Crystal
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Feb 25 2004 - hhetter@suse.de
- apply patch: libgnome-default-handlers.patch
  default url handler shall be epiphany, not mozilla,
  and don't use netscape-remote
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Wed Oct 22 2003 - sbrabec@suse.cz
- Fixed schemas installation.
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 2.2.3.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 - sbrabec@suse.cz
- Set localstatedir to /var (needed for gnome-scores).
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Prefix clash fix (gtk-doc).
* Tue May 27 2003 - ro@suse.de
- keep buildroot clean
* Mon May 26 2003 - sbrabec@suse.cz
- Do not provide gnvfs/gnvfsd (needed by new RPM).
* Wed May 14 2003 - sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26875).
* Wed Apr 30 2003 - sf@suse.de
- use autoreconf for libtool working correctly
  (needed patch in Makefile.am)
* Tue Feb 18 2003 - hhetter@suse.de
- remove printf in pixmaps.dif
* Thu Feb 13 2003 - hhetter@suse.de
- look also in GNOME2_PATH without attr_rel addition, to be
  able to specify exact paths for pixmaps
* Wed Jan 29 2003 - hhetter@suse.de
- fix schema list
- updated to version 2.2.0.1
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.90
- recheck schema list
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.6 [GNOME 2.0.3]
* Tue Nov 05 2002 - sbrabec@suse.cz
- Updated %%files.
- Fixed --libexecdir for biarch.
* Thu Oct 31 2002 - hhetter@suse.de
- updated to version 2.0.5
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
- Updated %%files section.
* Fri Sep 20 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Wed Aug 14 2002 - hhetter@suse.de
- reduce dependencies
* Fri Aug 09 2002 - hhetter@suse.de
- add openssl to neededforbuild
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 2.0.2
  * libexec movement
- fix filelist
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Tue Jun 25 2002 - hhetter@suse.de
- fix schema-list
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Thu Jun 20 2002 - hhetter@suse.de
- supply schema files
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.1
* Mon Jun 10 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to release 1.117.2
* Wed May 15 2002 - ro@suse.de
- use libdir
* Wed Apr 10 2002 - hhetter@suse.de
- update to 1.114.0 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to 1.110.0 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 1.109.0
  * gconf2-schema updates
  * documentation updates
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
